Pkgcheck Warnings

  • All Versions
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • UseFlagWithoutDeps
      special small-files USE flag without effect on dependencies: [ ipv6 ]
    • DeprecatedDep
      RDEPEND: deprecated dependency: dev-perl/Mail-Sender
    • StableRequest
      slot(0) no change in 134 days for unstable keywords: [ ~amd64, ~arm, ~arm64, ~ppc, ~ppc64, ~sparc, ~x86 ]
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • ProbableGlobalUse
      local USE flag closely matches a global: 'pcre'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • DeprecatedDep
      RDEPEND: deprecated dependency: dev-perl/Mail-Sender
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Term-ReadLine'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Term-ReadLine'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Term-ReadLine'
    • UseFlagWithoutDeps
      special small-files USE flag without effect on dependencies: [ ipv6 ]
    • UnstableOnly
      for arch: [ hppa ], all versions are unstable: [ 5.9.3-r3, 5.9.4 ]
    • DeprecatedDep
      RDEPEND: deprecated dependency: dev-perl/Mail-Sender
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • UseFlagWithoutDeps
      special small-files USE flag without effect on dependencies: [ ipv6 ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
  • 9999
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • UseFlagWithoutDeps
      special small-files USE flag without effect on dependencies: [ ipv6 ]
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Term-ReadLine'
    • DeprecatedDep
      RDEPEND: deprecated dependency: dev-perl/Mail-Sender
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
  • 5.9.4
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'
    • StableRequest
      slot(0) no change in 134 days for unstable keywords: [ ~amd64, ~arm, ~arm64, ~ppc, ~ppc64, ~sparc, ~x86 ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • DeprecatedDep
      RDEPEND: deprecated dependency: dev-perl/Mail-Sender
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Term-ReadLine'
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • UseFlagWithoutDeps
      special small-files USE flag without effect on dependencies: [ ipv6 ]
  • 5.9.3-r3
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • DeprecatedDep
      RDEPEND: deprecated dependency: dev-perl/Mail-Sender
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Carp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Term-ReadLine'
    • UseFlagWithoutDeps
      special small-files USE flag without effect on dependencies: [ ipv6 ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Data-Dumper'

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.